org.apache.lucene.search

## Class DuplicateFilter

- java.lang.Object
- - org.apache.lucene.search.Filter
  - - org.apache.lucene.search.DuplicateFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class DuplicateFilter
      extends Filter

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `KM_USE_FIRST_OCCURRENCE`
    `static int` | `KM_USE_LAST_OCCURRENCE`
    `static int` | `PM_FAST_INVALIDATION`
    `static int` | `PM_FULL_VALIDATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DuplicateFilter(java.lang.String fieldName)`
    `DuplicateFilter(java.lang.String fieldName, int keepMode, int processingMode)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `DocIdSet` | `getDocIdSet(IndexReader reader)` Creates a `DocIdSet` enumerating the documents that should be permitted in search results.
    `java.lang.String` | `getFieldName()`
    `int` | `getKeepMode()`
    `int` | `getProcessingMode()`
    `int` | `hashCode()`
    `static void` | `main(java.lang.String[] args)`
    `void` | `setFieldName(java.lang.String fieldName)`
    `void` | `setKeepMode(int keepMode)`
    `void` | `setProcessingMode(int processingMode)`

    - ### Methods inherited from class org.apache.lucene.search.Filter

      `bits`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KM_USE_FIRST_OCCURRENCE

          public static final int KM_USE_FIRST_OCCURRENCE

      See Also:
        Constant Field Values

    - #### KM_USE_LAST_OCCURRENCE

          public static final int KM_USE_LAST_OCCURRENCE

      See Also:
        Constant Field Values

    - #### PM_FULL_VALIDATION

          public static final int PM_FULL_VALIDATION

      See Also:
        Constant Field Values

    - #### PM_FAST_INVALIDATION

          public static final int PM_FAST_INVALIDATION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DuplicateFilter

          public DuplicateFilter(java.lang.String fieldName)

    - #### DuplicateFilter

          public DuplicateFilter(java.lang.String fieldName,
                                 int keepMode,
                                 int processingMode)

  - ### Method Detail

    - #### getDocIdSet

          public DocIdSet getDocIdSet(IndexReader reader)
                               throws java.io.IOException

      Description copied from class: `Filter`
      Creates a `DocIdSet` enumerating the documents that should be permitted in search results. NOTE: null can be returned if no documents are accepted by this Filter.

      Note: This method will be called once per segment in the index during searching. The returned `DocIdSet` must refer to document IDs for that segment, not for the top-level reader.

      Overrides:
        `getDocIdSet` in class `Filter`
      Parameters:
        `reader` - a `IndexReader` instance opened on the index currently searched on. Note, it is likely that the provided reader does not represent the whole underlying index i.e. if the index has more than one segment the given reader only represents a single segment.
      Returns:
        a DocIdSet that provides the documents which should be permitted or prohibited in search results. NOTE: null can be returned if no documents will be accepted by this Filter.
      Throws:
        `java.io.IOException`
      See Also:
        `DocIdBitSet`

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      Parameters:
        `args` -
      Throws:
        `java.io.IOException`
        `java.lang.Exception`

    - #### getFieldName

          public java.lang.String getFieldName()

    - #### setFieldName

          public void setFieldName(java.lang.String fieldName)

    - #### getKeepMode

          public int getKeepMode()

    - #### setKeepMode

          public void setKeepMode(int keepMode)

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### getProcessingMode

          public int getProcessingMode()

    - #### setProcessingMode

          public void setProcessingMode(int processingMode)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.